# TV Shows

When organizing TV Shows I have three different types of shows, which would need their individual namingscheme. 
These types are:

- Standard
- Anime
- Daily

## Standard

Standard shows are what most people would watch on TV. This includes shows like `Friends` and miniseries like `Band of Brothers`. Most of my TV Shows fall in the *Standard* category, which i ripped from DVDs or Blu-Rays in order to save them. I've had some bad experiences with disks, where they stopped working after some years, so now i rip all my physical media as a backup. 

Standard tv shows should be located in season folders and named for each episode. My folder structure looks something like this:

```
TV Shows
│ 
└───Series Title (year)
│   │
│   └───Season x
│       │   Series Title - S0xE0x - Episode Title - [Quality][MediaInfo AudioChannels AudioLanguages - SUB].ext
│       │   ...
```
[{Quality Title}][{MediaInfo Simple} {MediaInfo AudioChannels} {MediaInfo AudioLanguages} - SUB{MediaInfo SubtitleLanguages}]
An example would be:

```
TV Shows
│   
└───Friends (1991)
│   │
│   └───Season 1
│       │   Friends - S01E01 - The One Where Monica Gets a Roommate - [Bluray-1080p][x265 AAC 5.1 [EN]].mkv
│       │   ...
│
└───Game of Thrones (2011)
│   │
│   └───Season 1
│       │   Game of Thrones - S01E01 - Winter Is Coming - [Bluray-1080p][x265 AAC 5.1 [EN+FR+ES] - SUB[EN+FR+ES+DA].mkv
│       │   ...
│   
```

When looking at the naming of each episode, it is important for me to be able to find the show and season, if i never lose my folder structure. A nice to have into is the source, where it mostly is Bluray or DVD. With Blurays i like to to also show the resolution. 
Depending on the show, I have multiple audios available and/or subtitles. In the case of Game of Thrones, the example shows English, French and Spanish audio and English, French, Spanish and Danish subtitles. 

## Anime

Anime is similar to *Standard* but still varies enough to not be handeled the same. 

```
TV Shows
│ 
└───Series Title (year)
│   │
│   └───Season x
│       │   Series Title - S0xE0x (Absolute numbering) - Episode Title - [Quality][MediaInfo AudioChannels VideoDynamicRange VideoBitDepth].ext
│       │   ...
│ 
└───Fairy Tail (2009)
│   │
│   └───Season 1
│       │   Fairy Tail - S01E01 (001) - The Fairy Tail - [Bluray-1080p][x265 AAC[EN+JA] [EN] 5.1][10bit].mkv
│       │   ...
```

With anime i like to add the VideoDynamicRange (HDR/SDR) and VideoBitDepth (eg. 10 bit or 8 bit). Animes also often have an absolute number, which makes it easier to follow. 

## Daily

I have no daily shows, as i really don't follow late-night shows, but a setup would be similar to the previous two:

```
TV Shows
│   
└───Series Title (year)
│   │
│   └───Season x
│       │   Series Title - YYYY-MM-DD - Episode Title.ext
│       │   ...
```

Instead of a season and episode number, we use a year-month-day numbering, as each episode airs daily. 

## Software

I wont go into details about ripping and converting the files, but instead just talk about the organizing.
I used to have a bunch of bash scripts that used ffprobe and ffmpeg to determine the information for each file. This proved to be cumbersome and slow. Instead i decided to try [tinyMediaManager](https://www.tinymediamanager.org/), which works wonders. Once problem is that it is easiest to use through the GUI. After moving to a headless NAS, it was too slow to VNC to the server in order to organize my media. 
Instead i started using Sonarr purely for media management. Sonarr runs through Docker and and after ripping a disk, i add each file to my import folder and Sonarr can then be accessed through a browser for management.